Page({
  data: {
    phoneData: "", //手机号
    verification: "", //验证码
    value: "",
    show: false, //显示获取验证码
    count: "", //剩余时间
    timer: null,
    userType: 0,
    placeholder:'-',
    number:4,
    isToast: false,

  },
  onLoad(options) {
    this.setData({
      phoneData: options.phone,
    })
    console.log(this.data.code,'传过来的验证码')

    dd.setNavigationBar({
      title: '手机验证码',
      backgroundColor: '#FFFFFF',
    });

    if (!this.data.timer) {
      this.setData({
        count: 60,
        show: true
      })
      let that = this;
      const countDown = setInterval(() => {
      if(that.data.count <= 1){
        that.setData({
          count:60,
          show: false
        })
        clearInterval(countDown)
          return
        }
        that.data.count --
        that.setData({
          count: that.data.count,
          show: true
        })
      },1000);
    };

  },
  // 获取验证码
  bindValueInput(e){
    this.setData({
      value: e.detail.value,
    });
    if(this.data.value.length==4){
      this. handleInput();
      console.log(this.data.value,'输入的验证码')
    }
    
  },

  handleInput() {
    this.hideKeyboard();
  },

  getCode(){
    let params = {
      phone: this.data.phoneData,
      type: "login",
    }  
    dd.$http.post('/api/common/send-sms-captcha',params).then(res=>{
      if (!this.data.timer) {
        this.setData({
          count: 60,
          show: true
        })
        let that = this;
        const countDown = setInterval(() => {
        if(that.data.count <= 1){
          that.setData({
            count:60,
            show: false
          })
          clearInterval(countDown)
            return
          }
          that.data.count --
          that.setData({
            count: that.data.count,
            show: true
          })
        },1000);
      }
    })
  },

  // 登录
  hideKeyboard() {
    let params = {
      phone: this.data.phoneData,
      sms_code: this.data.value,
    }  
    dd.$http.post('/api/user/login-by-Phone',params).then(res=>{
      console.log(res,'登录认证数据')
      if (res.code == 0) {
        // 缓存token
        dd.$toolAll.setCache('token',res.data.token);
        // 缓存用户信息
        dd.$toolAll.setCache('userinfo',res.data);
        dd.$toolAll.setCache('userData',res.data);
        // 跳转页面
        dd.redirectTo ({
            url: '/pages/home/home'
        })
      }else{
        this.setData({
          toastText: '验证码错误',
          isToast: true
        });
        setTimeout(()=> {
          this.setData({
            isToast: false
          })
        }, 1000)
      }
    })
  },
});
